[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TTreeNode.Expanded

True if the node has been expanded, False when collapsed.

## Declaration

Source position: comctrls.pp line 3154

`public property TTreeNode.Expanded : Boolean read GetExpanded write SetExpanded;`

## Description

Expanded is a Boolean property which indicates if the node has been expanded in the associated TreeView control. The property value is True when nsExpanded has been included in the States property.

The Expand method is called when the new value for the property is True. Otherwise, the Collapse method is called. States is updated in the Expand and Collapse methods.